# OpenCARP Actors

This project contains the files to run openCARP-Actors. The actual openCARP code is not included in this repository and must be downloaded separately. The code for openCARP-Actors can be found https://git.cs.usask.ca/numerical_simulations_lab/cardiac/openCARP. Instructions for running tests and simulations can be found below.

The purpose of this directory is to organize the files needed to run openCARP-Actors experiments. Each 
experiment is contained within its own directory. Within this repository, we have separated the experiments into two
categories: `tests` and `simulations`. The `tests` directory contains simple tests to see if the program is working. The `simulations` directory contains longer running simulations that are used to generate data for a paper.

## Installation
We recommend using a container to run openCARP-Actors. The container can be built using Docker or Apptainer and 
the defention files for both can be found in the `environment_setup` directory.

The installation process for using containers is separated into specific steps.
This allows us to attach openCARP to the container and recompile it without having to rebuild the entire container (more for Apptainer than Docker)

Apptainer will require sudo access on the machine that you are building the container on.

### Apptainer Instructions
1. Navigate to the `environment_setup` directory
2. Run `sudo apptainer build openCARP.sif Apptainerfile.def`
3. Clone the openCARP repository into `environment_setup`
4. `git clone https://git.cs.usask.ca/numerical_simulations_lab/cardiac/openCARP.git`
5. `cd openCARP`
6. `git checkout develop`
7. `cd ..`
8. `./compile_with_apptainer.sh`
9. This above command will compile openCARP using the container
10. Once compiled you can run the tests or simulations with the scripts contained in the `tests` and `simulations` directories

## Dependencies
The following dependencies are required to run openCARP-Actors:
* C++ Actor Framework 0.18.6


## Tests
The test directory contains some simple tests to see if the program is working. The tests will test a few different options, most notably finding S1 only, finding S2 only, and finding S1 and S2 together.

The python folder has runs the old code.

