#! /bin/bash

# This script will start the latest build of the docker container
# It will also mount the top level project directory into the container
# This uses the host computers file system to store the data

SOURCE_DIR=$(pwd)/..
TARGET_DIR=/code/openCARP-Actors
OUT_DIR=/code/openCARP-Actors/simulations/Joyce_Nov6_10x10x1mm-forPaper/logs/
CONFIG=$TARGET_DIR/simulations/Joyce_Nov6_10x10x1mm-forPaper/10x10x1-input/config_official.toml
# OUT_DIR=/code/openCARP-Actors/tests/s1-s2-test/logs/
# CONFIG=$TARGET_DIR/tests/s1-s2-test/input/config_test.toml

# valgrind --leak-check=full --show-leak-kinds=all --track-origins=yes --verbose --log-file=$OUT_DIR-server-valgrind-out.txt \
USER_ID=$(id -u)
GROUP_ID=$(id -g)
docker run --network openCARP --hostname server --name server -itd \
    -u $USER_ID:$GROUP_ID \
    -v $SOURCE_DIR:$TARGET_DIR  opencarp-actors-env:latest \
    openCARP -c $CONFIG -s -p 4444 -o $OUT_DIR

sleep 1

N=10
for (( i=1; i<=N; i++ ))
do
    docker run --network openCARP --hostname client$i --name client$i -itd \
        -u $USER_ID:$GROUP_ID \
        -v $SOURCE_DIR:$TARGET_DIR  opencarp-actors-env:latest \
        openCARP -a -H server -p 4444 -o $OUT_DIR
done


